import {Stat} from "./datatypes.ts";

export type VaultTemplate = {
  stats: {primary: Stat, secondary: Stat},
}

export const standardVaultTemplates: VaultTemplate[] = [
  {
    // blood bank
    stats: {primary: "AGI", secondary: "INT"},
  },
  {
    // club,
    stats: {primary: "CHA", secondary: "PSI"},
  },
  {
    // coffee shop
    stats: {primary: "PSI", secondary: "CHA"},
  },
  {
    // library
    stats: {primary: "INT", secondary: "CHA"},
  },
  {
    // optometrist
    stats: {primary: "PSI", secondary: "PSI"},
  },
  {
    // zoo
    stats: {primary: "AGI", secondary: "PSI"}
  }
]